Bug 1807484 - guitarix requires Python 2 to build
Summary: guitarix requires Python 2 to build
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: guitarix
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Guido Aulisi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: BRPY27
TreeView+ depends on / blocked
 
Reported: 2020-02-26 13:37 UTC by Petr Viktorin
Modified: 2020-03-03 12:00 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-03 12:00:13 UTC
Type: Bug


Attachments (Terms of Use)

Description Petr Viktorin 2020-02-26 13:37:56 UTC
Python 2 reached upstream end-of-life in January 2020. In Fedora Rawhide, it's now provided from the compat package `python27`.
Packages that only use Python 2 at build time, like guitarix, had a general exception to keep using it in Fedora 31. Now, the dependency should be removed. It looks like need for python2 comes from a very old bundled version of "waf"; can that be updated?
Let us know if you need any help investigating or removing the dependency.

If it's possible that the dependency won't be removed in Fedora 33. Please request a FESCo exception. You can refer to the exception for mercurial as an example: https://pagure.io/fesco/issue/2243
It's good to mention:

- What is the reason for the Python 2 build dependency?

- What are the upstream/community plans/timelines regarding Python 2?

- What is the guidance for porting the build to Python 3? (Assuming that there is someone who generally knows how to port to Python 3, but doesn't know anything about the particular package, what are the next steps to take?)

If you need anything from us, or something is unclear, please mention it here.

Comment 1 Guido Aulisi 2020-02-29 20:17:54 UTC
Should be fixed in version guitarix-0.39.0-1.fc33.x86_64 in rawhide.

Comment 2 Petr Viktorin 2020-03-03 12:00:13 UTC
It is. Thank you!


Note You need to log in before you can comment on or make changes to this bug.